DOM::EventException Class Reference

`#include <dom2_events.h>`

## Public Types

enum | EventExceptionCode { UNSPECIFIED_EVENT_TYPE_ERR = 0 }

## Public Member Functions

| EventException (unsigned short _code)
| EventException (const EventException &other)
EventException & | operator= (const EventException &other)

## Public Attributes

unsigned short | code

## Detailed Description

Introduced in DOM Level 2:

Event operations may throw an EventException as specified in their method descriptions.

Definition at line 262 of file dom2_events.h.

## Member Enumeration Documentation

enum DOM::EventException::EventExceptionCode

An integer indicating the type of error generated.

UNSPECIFIED_EVENT_TYPE_ERR: If the Event's type was not specified by initializing the event before the method was called. Specification of the Event's type as null or an empty string will also trigger this exception.

Definition at line 279 of file dom2_events.h.

The documentation for this class was generated from the following files:

- dom2_events.h
- dom2_events.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys